Skip to content
GitLab
Explore
Sign in
Register
Primary navigation
Search or go to…
Project
T
tango
Manage
Activity
Members
Labels
Plan
Issues
Issue boards
Milestones
Iterations
Wiki
Requirements
Jira issues
Open Jira
Code
Merge requests
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Snippets
Locked files
Build
Pipelines
Jobs
Pipeline schedules
Test cases
Artifacts
Deploy
Releases
Package Registry
Container Registry
Model registry
Operate
Environments
Terraform modules
Monitor
Incidents
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Code review analytics
Issue analytics
Insights
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
LOFAR2.0
tango
Merge requests
!33
Resolve
L2SS-218
"Move existing tooling to bootstrap dir"
Code
Review changes
Check out branch
Download
Patches
Plain diff
Merged
Resolve
L2SS-218
"Move existing tooling to bootstrap dir"
L2SS-218-move_existing_tooling_to_bootstrap_dir
into
master
Overview
12
Commits
14
Pipelines
0
Changes
12
All threads resolved!
Hide all comments
Merged
Thomas Juerges
requested to merge
L2SS-218-move_existing_tooling_to_bootstrap_dir
into
master
3 years ago
Overview
12
Commits
14
Pipelines
0
Changes
1
All threads resolved!
Hide all comments
Expand
This is the beginning.
Closes
L2SS-218
0
0
Merge request reports
Compare
version 4
version 5
1f2b26ef
3 years ago
version 4
a9202168
3 years ago
version 3
9b958370
3 years ago
version 2
4879b8f2
3 years ago
version 1
617050bb
3 years ago
master (base)
and
latest version
latest version
14e93148
14 commits,
3 years ago
version 5
1f2b26ef
13 commits,
3 years ago
version 4
a9202168
12 commits,
3 years ago
version 3
9b958370
11 commits,
3 years ago
version 2
4879b8f2
4 commits,
3 years ago
version 1
617050bb
3 commits,
3 years ago
Show latest version
1 file
+
17
−
22
Inline
Compare changes
Side-by-side
Inline
Show whitespace changes
Show one file at a time
bootstrap/sbin/rebuild_system_from_scratch.sh
+
17
−
22
Options
@@ -15,14 +15,12 @@ trap ' exit ${?} ' ABRT EXIT HUP INT TERM QUIT ERR
function
pull_images
()
{
pushd
${
HOME_DIR
}
/docker-compose
&&
make pull
popd
(
cd
${
HOME_DIR
}
/docker-compose
&&
make pull
)
}
function
build_lofar_images
()
{
pushd
${
HOME_DIR
}
/docker-compose
&&
make build
popd
(
cd
${
HOME_DIR
}
/docker-compose
&&
make build
)
}
function
move_tango_dir_out_of_the_way
()
@@ -48,52 +46,49 @@ function clean_images()
# has already been shut down.
# Therefore disable Bash's exit on error flag
set
+e
pushd
${
HOME_DIR
}
/docker-compose
&&
make clean
popd
(
cd
${
HOME_DIR
}
/docker-compose
&&
make clean
)
# And enable it again.
set
-e
}
function
start_minimal_tango
()
{
push
d
${
HOME_DIR
}
/docker-compose
(
c
d
${
HOME_DIR
}
/docker-compose
make minimal
# There is an issue with the dsconfig container that it every
# other time just exits without telling why.
# Therefore start dsconfig, then wait for 10s to allow it
# to die and just start it again.
# Don't they say that the second time is always a charm?
make start dsconfig
# Just for good measure, wait a moment and start dsconfig again
echo
-e
"
\t
Waiting for dsconfig to settle down..."
sleep
10
echo
-e
"
\t
Done.
\n\t
Starting dsconfig again."
make start dsconfig
popd
make start dsconfig
)
}
function
configure_tango_db
()
{
# This somehow returns with a non-0 return code.
set
+e
${
HOME_DIR
}
/sbin/update_ConfigDb.sh
${
HOME_DIR
}
/CDB/LOFAR_ConfigDb.json
set
-e
# This somehow returns with a non-0 return code, make Bash happy.
${
HOME_DIR
}
/sbin/update_ConfigDb.sh
${
HOME_DIR
}
/CDB/LOFAR_ConfigDb.json
||
true
}
function
configure_elk
()
{
pushd
${
HOME_DIR
}
/docker-compose
&&
make start elk-configure-host
popd
(
cd
${
HOME_DIR
}
/docker-compose
&&
make start elk-configure-host
)
}
function
start_support_images
()
{
pushd
${
HOME_DIR
}
/docker-compose
&&
make start elk
make start jupyter
popd
(
cd
${
HOME_DIR
}
/docker-compose
&&
make start elk
make start jupyter
)
}
function
start_lofar_images
()
{
push
d
${
HOME_DIR
}
/docker-compose
(
c
d
${
HOME_DIR
}
/docker-compose
make start device-pcc
make start device-sdp
popd
make start device-sdp
)
}
Loading